# The Scavanger

**The Scavanger** is a short 2D exploration game made in Godot — created as part of an English class project. You play as a man who has been mysteriously teleported into a forest crawling with slimes. Your goal: collect three potions hidden throughout the area and escape.

---

## 📚 Project Purpose

This game was created for an **English school project**, blending narrative writing with basic game design to tell a small interactive story.

---

## 🌲 Story

You wake up in a strange, slime-infested forest with no idea how you got there. There’s no combat, no puzzles — just exploration and survival. Find three potions and get out... before the slimes get you.

---

## 🎮 Gameplay Features

- 2D top-down exploration
- Avoid hostile slimes — no combat
- Find 3 potions to escape
- Focus on story atmosphere and minimal mechanics
- Built using [Godot Engine](https://godotengine.org)

---

## ▶️ How to Play

### 📥 Download

Get the latest build from the [**Releases section**](https://interstellardevelopment.org/code/sageTheDm/the-scavanger/releases).  
Just unzip and run the executable for your platform — no setup required.

### 🛠️ Run from Source

Want to view or edit the project in Godot?

1. Clone the repository:

   ```bash
   git clone https://interstellardevelopment.org/code/sageTheDm/the-scavanger.git
   ```

2. Open the `project.godot` file with Godot (version 3.x or newer)

3. Click **Play** to launch the game

---

## 📁 Project Structure

Here's a quick overview of the main folders and files:

```
the-scavanger/
├── .godot/                 # Godot engine config files
├── assets/terrain/        # Tilemaps and terrain images
├── scenes/                # Scene files used in the game
│   ├── enemies/           # Slime enemy scenes
│   ├── maps/              # Map/level scenes
│   └── player-npc/        # Player and NPC scenes
├── scripts/               # GDScript files for gameplay logic
├── sprites/               # Additional sprite resources
├── LICENSE                # GPL-3.0 License
├── README.md              # This file
└── project.godot          # Godot project file
```

---

## 🎨 Sprites

Sprites used in this project are from the  
👉 [**Mystic Woods - 16x16 Pixel Art Asset Pack** by Game Endeavor](https://game-endeavor.itch.io/mystic-woods)  
Licensed for use in free and commercial projects.

---

## 🤝 Contributing

This was made as a class project, but the code is open source and contributions are welcome!  
Feel free to fork it, build on it, or use it in your own Godot experiments.

---

## 📝 License

This project is licensed under the **GNU General Public License v3.0 (GPL-3.0)**.

- You can freely use, share, and modify the game
- Any changes or derived works must also be GPL-licensed
- Full license details in the [LICENSE](LICENSE) file

---

## 👤 Credits

- Game design & programming: [sageTheDm](https://interstellardevelopment.org/code/sageTheDm/)
- Built using the [Godot Engine](https://godotengine.org)
- Pixel art assets by [Game Endeavor](https://game-endeavor.itch.io/mystic-woods)

